import request from 'utils/request'
import download from 'utils/download'

/** *** 隐患管理 *****/

//  隐患管理--获取分页表格
export function getTableListOfDanger (object) {
  return request({
    url: '/hospital/htrouble/list',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  隐患管理--获取详情
export function getDetailDataOfDanger (object) {
  return request({
    url: '/hospital/htrouble/detail',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  隐患管理--提交编辑表单
export function submitEditFormOfDanger (object) {
  return request({
    url: '/hospital/htrouble/edit',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  隐患管理--导出分页表格
export function downloadTableDataOfDanger (object) {
  return download({
    url: '/hospital/htrouble/list',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 移交工单隐患 *****/

//  移交工单隐患--获取分页表格
export function getTableListOfTransfer (object) {
  return request({
    url: '/hospital/htrouble/list/2',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  移交工单隐患--获取详情
export function getDetailDataOfTransfer (object) {
  return request({
    url: '/hospital/htrouble/detail',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  移交工单隐患--导出分页表格
export function downloadTableDataOfTransfer (object) {
  return download({
    url: '/hospital/htrouble/list/2',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 汇报处理隐患 *****/

//  汇报处理隐患--获取分页表格
export function getTableListOfReport (object) {
  return request({
    url: '/hospital/htrouble/list/3',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  汇报处理隐患--获取详情
export function getDetailDataOfReport (object) {
  return request({
    url: '/hospital/htrouble/detail',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  汇报处理隐患--导出分页表格
export function downloadTableDataOfReport (object) {
  return download({
    url: '/hospital/htrouble/list/3',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
/** *** 语音上报记录 *****/

//  语音上报记录--获取分页表格
export function getTableListOfVoice (object) {
  return request({
    url: '/hospital/htrouble/list/1',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  语音上报记录--获取详情
export function getDetailDataOfVoice (object) {
  return request({
    url: '/hospital/htrouble/detail',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  语音上报记录--导出分页表格
export function downloadTableDataOfVoice (object) {
  return download({
    url: '/hospital/htrouble/list/1',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 通用 *****/

//  通用--提交移交工单表单
export function submitTransferTaskFormOfDanger (object) {
  return request({
    url: '/hospital/htrouble/order',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  通用--提交关闭隐患表单
export function submitCloseDangerFormOfDanger (object) {
  return request({
    url: '/hospital/htrouble/close',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  通用--提交汇报处理表单
export function submitReportHandleFormOfDanger (object) {
  return request({
    url: '/hospital/htrouble/report',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  通用--提交汇报进展表单
export function submitReportProgressFormOfDanger (object) {
  return request({
    url: '/hospital/htrouble/process',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  通用--提交语音识别表单
export function submitSpeechAudioFormOfDanger (object) {
  return request({
    url: `/hospital/htrouble/voice`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
