import request from 'utils/request'
import download from 'utils/download'

/** *** 楼栋管理 *****/

//  楼栋管理--提交新增楼栋表单
export function submitBuildingFormOfBuilding (object) {
  return request({
    url: '/hospital/rubbishSetting/saveOrUpdateBuilding',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 点位管理 *****/

//  点位管理--获取分页表格
export function getTableListOfPoint (object) {
  return request({
    url: '/hospital/rubbishSetting/queryPositionsByPage',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  点位管理--获取详情
export function getDetailDataOfPoint (object) {
  return request({
    url: `/hospital/rubbishSetting/queryPositionDetail/${object.id}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  点位管理--提交表单
export function submitFormOfPoint (object) {
  return request({
    url: '/hospital/rubbishSetting/saveOrUpdatePosition',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  点位管理--导出二维码
export function downloadCodeDataOfPoint (object) {
  return download({
    url: '/hospital/rubbishSetting/downLoadQrCode',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  点位管理--提交创建二维码表单
export function submitCreatFormOfPoint (object) {
  return request({
    url: '/hospital/rubbishSetting/initQrCode',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  点位管理--导出分页表格
export function downloadTableDataOfPoint (object) {
  return download({
    url: '/hospital/rubbishSetting/exportPosition',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}

/** *** 人员管理 *****/

//  人员管理--获取分页表格
export function getTableListOfPerson (object) {
  return request({
    url: '/hospital/rubbishSetting/queryUsersByPage',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  人员管理--获取详情
export function getDetailDataOfPerson (object) {
  return request({
    url: `/hospital/rubbishSetting/queryUserDetail/${object.id}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  人员管理--提交表单
export function submitFormOfPerson (object) {
  return request({
    url: '/hospital/rubbishSetting/saveOrUpdateUser',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 运送线路管理 *****/

//  运送线路管理--获取分页表格
export function getTableListOfRouter (object) {
  return request({
    url: '/hospital/rubbishSetting/queryPathByPage',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  运送线路管理--获取详情
export function getDetailDataOfRouter (object) {
  return request({
    url: `/hospital/rubbishSetting/queryPathDetail/${object.id}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  运送线路管理--提交表单
export function submitFormOfRouter (object) {
  return request({
    url: '/hospital/rubbishSetting/saveOrUpdatePath',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
