import request from 'utils/request'
import download from 'utils/download'

/** *** 为防止后期模块定制或其他原因，造成原复用接口独立化，现将各相同接口做拆分 *****/

/** *** 医废管理 *****/

//  医废管理--获取分页表格
export function getTableListOfManage (object) {
  return request({
    url: '/hospital/rubbish/package/queryRubbishPackageList',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  医废管理--获取详情
export function getDetailDataOfManage (object) {
  return request({
    url: `/hospital/rubbish/package/queryRubbishPackageDetail/${object.packageId}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  医废管理--获取打印标签数据
export function getPrintDataOfManage (object) {
  return request({
    url: `/hospital/rubbish/package/printTagInfo/${object.packageId}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  医废管理--导出分页表格
export function downloadTableDataOfManage (object) {
  return download({
    url: '/hospital/rubbish/package/exportRubbishPackage',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 医废批次管理 *****/

//  医废批次管理--获取分页表格
export function getTableListOfBatch (object) {
  return request({
    url: '/hospital/rubbish/batch/queryRubbishBatchList',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  医废批次管理--获取详情
export function getDetailDataOfBatch (object) {
  return request({
    url: '/hospital/rubbish/batch/queryRubbishBatchDetail',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  医废批次管理--获取医废列表
export function getWasteDataOfBatch (object) {
  return request({
    url: '/hospital/rubbish/package/queryRubbishPackageList',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  医废批次管理--获取医废列表详情
export function getWasteDetailDataOfBatch (object) {
  return request({
    url: `/hospital/rubbish/package/queryRubbishPackageDetail/${object.packageId}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  医废批次管理--获取运送路线
export function getRouterDataOfBatch (object) {
  return request({
    url: `/hospital/rubbish/batch/checkoutBatchPath`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  医废批次管理--导出分页表格
export function downloadTableDataOfBatch (object) {
  return download({
    url: '/hospital/rubbish/batch/exportRubbishBatch',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}

/** *** 异常医废管理 *****/

//  异常医废管理--获取分页表格
export function getTableListOfAbnormal (object) {
  return request({
    url: '/hospital/rubbish/package/queryRubbishPackageList',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  异常医废管理--获取详情
export function getDetailDataOfAbnormal (object) {
  return request({
    url: `/hospital/rubbish/package/queryRubbishPackageDetail/${object.packageId}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  异常医废管理--获取操作记录
export function getRecordDataOfAbnormal (object) {
  return request({
    url: '/hospital/hangUp',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  异常医废管理--提交异常处理表单
export function submitAbnormalHandleFormOfAbnormal (object) {
  return request({
    url: `/hospital/rubbish/package/finishAbnormal`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  异常医废管理--获取打印标签数据
export function getPrintDataOfAbnormal (object) {
  return request({
    url: `/hospital/rubbish/package/printTagInfo/${object.packageId}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  异常医废管理--导出分页表格
export function downloadTableDataOfAbnormal (object) {
  return download({
    url: '/hospital/rubbish/package/exportRubbishPackage',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
