import {
  submitEditFormOfDanger,
  submitSpeechAudioFormOfDanger
} from 'api/danger'
import {
  ElMessageBox,
  ElNotification
} from 'element-plus'

const editFormCurrency = {
  data () {
    return {
      //  详情
      detailFormEdit: false,
      detailFormRules: {
        location: [
          { required: true, message: '请输入位置', trigger: 'blur' }
        ],
        description: [
          { required: true, message: '请输入隐患内容', trigger: 'blur' }
        ],
        descriptionExt: [
          { required: true, message: '请输入补充描述', trigger: 'blur' }
        ]
      }
    }
  },
  mounted () {
  },
  methods: {
    //  识别语音
    speechAudio () {
      ElMessageBox.confirm('是否重新识别语音？', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        submitSpeechAudioFormOfDanger({
          troubleId: this.detailForm.id
        }).then(res => {
          if (res.code == 200) {
            this.getTableList()
            this.detailForm.voiceState = 2
            this.detailForm.descriptionVoice = res.data
            ElNotification({
              title: '识别语音成功',
              message: res.msg,
              type: 'success'
            })
          } else {
            ElNotification({
              title: '请求出错',
              message: res.msg,
              type: 'error'
            })
          }
        })
      })
    },
    //  状态流转入口
    handleEntrance (code) {
      this.$refs.handleDialog.handleExport(code)
    },
    //  提交编辑表单
    submitEdit () {
      if (this.detailFormEdit) {
        this.$refs.detailForm.validate((valid) => {
          if (valid) {
            this.buttonLoading = true
            submitEditFormOfDanger({
              id: this.detailForm.id,
              location: this.detailForm.location,
              description: this.detailForm.description,
              descriptionExt: this.detailForm.descriptionExt
            }).then(res => {
              this.buttonLoading = false
              if (res.code == 200) {
                this.getTableList()
                this.detailFormShow = false
                this.detailFormEdit = false
                ElNotification({
                  title: '编辑成功',
                  message: res.msg,
                  type: 'success'
                })
              } else {
                ElNotification({
                  title: '请求出错',
                  message: res.msg,
                  type: 'error'
                })
              }
            })
          }
        })
      } else {
        this.detailFormEdit = true
      }
    }
  }
}

export default editFormCurrency
