import { defineAsyncComponent } from 'vue'
import { createRouter, createWebHashHistory } from 'vue-router'

export const routers = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: '登录页',
      component: defineAsyncComponent(() => import('../views/login.vue'))
    },
    {
      path: '/index',
      name: '首页',
      component: defineAsyncComponent(() => import('../views/index.vue')),
      children: [
        {
          path: '/404',
          name: '页面不存在',
          component: defineAsyncComponent(() => import('../views/error/404.vue'))
        },
        {
          path: '/home',
          name: '主页',
          component: defineAsyncComponent(() => import('../views/home/index.vue'))
        },
        {
          path: '/dangerManage/dangerManage',
          name: '隐患管理',
          component: defineAsyncComponent(() => import('../views/dangerManage/dangerManage.vue'))
        },
        {
          path: '/dangerManage/transferDanger',
          name: '移交工单隐患',
          component: defineAsyncComponent(() => import('../views/dangerManage/transferDanger.vue'))
        },
        {
          path: '/dangerManage/reportDanger',
          name: '汇报处理隐患',
          component: defineAsyncComponent(() => import('../views/dangerManage/reportDanger.vue'))
        },
        {
          path: '/dangerManage/voiceManage',
          name: '语音上报记录',
          component: defineAsyncComponent(() => import('../views/dangerManage/voiceManage.vue'))
        },
        {
          path: '/medicalWasteManage/medicalWasteManage',
          name: '医废管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteManage/medicalWasteManage.vue'))
        },
        {
          path: '/medicalWasteManage/wasteBatchManage',
          name: '医废批次管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteManage/wasteBatchManage.vue'))
        },
        {
          path: '/medicalWasteManage/wasteAbnormalManage',
          name: '异常医废管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteManage/wasteAbnormalManage.vue'))
        },
        {
          path: '/medicalWasteConfig/pointManage',
          name: '点位管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteConfig/pointManage.vue'))
        },
        {
          path: '/medicalWasteConfig/personManage',
          name: '人员管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteConfig/personManage.vue'))
        },
        {
          path: '/medicalWasteConfig/routerManage',
          name: '运送线路管理',
          component: defineAsyncComponent(() => import('../views/medicalWasteConfig/routerManage.vue'))
        }
      ]
    }
  ]
})
